
QGIS Application - Bug report #11269

can't access in Python to new features added to editBuffer

2014-09-25 05:59 AM - enrico ferreguti

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 19568

Description

Trying to access to new features added to edit buffer causes application crash (v2.0 v2.4 in xp).

You can replicate the bug select a layer, enter in edit mode, add a feature and then input in python console the following command:

iface.legendInterface().currentLayer().editBuffer().addedFeatures()

I expect to find a QgsFeatureMap, but the application crashes.

If you simply edit layer without adding features the same command correctly gives {} (a void dict)

History

#1 - 2014-09-25 06:08 AM - Pirmin Kalberer

- Tracker changed from Support to Bug report

- Project changed from QGIS Redmine (QGIS bug tracker) to QGIS Application

- Affected QGIS version set to 2.4.0

- Crashes QGIS or corrupts data set to No

#2 - 2014-09-25 12:23 PM - enrico ferreguti

In windows 7 the command goes well

#3 - 2014-10-28 01:13 PM - Jürgen Fischer

- Category set to Python plugins

#4 - 2014-10-29 02:12 AM - Matthias Kuhn

On Fedora Linux 64bit/current master the command works as expected

#5 - 2014-12-10 12:01 AM - enrico ferreguti

I can't understand.

2.6.1 Brighton remains affected to this issue. And Only on XP systems. In all other platform I tested (windows 7, ubuntu 14.04, mac os mavericks)

everything goes well.

What can be so system relevant so deep in the code?

I am deploying an application for a local government XP based environment for tracking urban planning documents editing and I'm going crazy. 

Is there anyone that can figure what happens? Thanks a lot in advance

related minidump attached....

2024-04-27 1/2



#6 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#7 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
